Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.ticket
Interface SearchOpsV1

All Superinterfaces
  ISPIMarker, ISPITicketMarker, Serializable

All Known Subinterfaces:
  SearchOpsV2

    public interface SearchOpsV1

extends Serializable, ISPITicketMarker

SearchOps is a Ticket interface for searching over Nodes and Properties and returning Node Ids that match the given criteria. It is also used for indexing Nodes.

Nested Class Summary
`static class` | `SearchOpsV1.MethodName`

Method Summary
`void` | `indexContentByPath(String path)` Asynchronously index all indexable content at the specified path and below.
`void` | `indexContentByType(ID typeId)` Asynchronously index all indexable content of the specified type.
`ID[]` | `search(Search search)` Performs a search with the given parameters.

Method Detail

### search

    ID[] search(Search search)
                throws RepositoryException

  Performs a search with the given parameters.

  If this method returns null or empty array, the results will be interpreted as an empty result set.

  Parameters
    `search` - the search parameters (including the expression).
  Returns
    an array of Node ids.
  Throws
    `AuthorizationException` - - if the user attempting the operation is not authorized to perform it.
    `RepositoryException` - - if any other error occurs.
  See Also
    `Search.isFullTextSearch()`

### indexContentByPath

    void indexContentByPath(String path)
                            throws RepositoryException

  Asynchronously index all indexable content at the specified path and below. All content at the given path and below will be indexed.

  If a repository has been running without search indexing enabled, this method can be used to reindex content.

  This method should be used sparingly, as it can be quite expensive given a large amount of content.

  Parameters
    `path` - The path of the node on which to start the index operation.
  Throws
    `RepositoryException` - if an error occurs

### indexContentByType

    void indexContentByType(ID typeId)
                            throws RepositoryException

  Asynchronously index all indexable content of the specified type. All content for the given type will be indexed.

  If a repository has been running without search indexing enabled, this method can be used to reindex content.

  This method should be used sparingly, as it can be quite expensive given a large amount of content.

  Parameters
    `typeId` - The ObjectClass ID
  Throws
    `RepositoryException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.